Package ngs

# Interface PileupEvent

All Known Subinterfaces:
  `Pileup`, `PileupEventIterator`, `PileupIterator`

public interface PileupEvent
Represents a single cell of a sparse 2D matrix with Reference coordinates on one axis and stacked Alignments on the other axis

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `alignment_minus_strand`
  `static final int`
  `alignment_start`
  `static final int`
  `alignment_stop`
  `static final int`
  `deletion`
  `static final int`
  `insertion`
  `static final int`
  `insertion_before_deletion`
  `static final int`
  `insertion_before_match`
  `static final int`
  `insertion_before_mismatch`
  `static final int`
  `intron_minus`
  `static final int`
  `intron_plus`
  `static final int`
  `intron_unknown`
  `static final int`
  `match`
  EventType
  `static final int`
  `mismatch`
  `static final int`
  `normal_indel`
  EventIndelType
  `static final int`
  `read_gap`
  `static final int`
  `read_overlap`
  `static final int`
  `replacement`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `char`
  `getAlignmentBase()`
  getAlignmentBase
  `String`
  `getAlignmentId()`
  getAlignmentId
  `long`
  `getAlignmentPosition()`
  getAlignmentPosition
  `char`
  `getAlignmentQuality()`
  getAlignmentQuality
  `int`
  `getEventIndelType()`
  getEventIndelType
  `int`
  `getEventRepeatCount()`
  getEventRepeatCount
  `int`
  `getEventType()`
  getEventType
  `long`
  `getFirstAlignmentPosition()`
  getFirstAlignmentPosition
  `String`
  `getInsertionBases()`
  getInsertionBases
  `String`
  `getInsertionQualities()`
  getInsertionQualities
  `long`
  `getLastAlignmentPosition()`
  getLastAlignmentPosition
  `int`
  `getMappingQuality()`
  getMappingQuality

- ## Field Details

  - ### match

    static final int match
    EventType
    See Also:
      - Constant Field Values

  - ### mismatch

    static final int mismatch
    See Also:
      - Constant Field Values

  - ### deletion

    static final int deletion
    See Also:
      - Constant Field Values

  - ### insertion

    static final int insertion
    See Also:
      - Constant Field Values

  - ### insertion_before_match

    static final int insertion_before_match
    See Also:
      - Constant Field Values

  - ### insertion_before_mismatch

    static final int insertion_before_mismatch
    See Also:
      - Constant Field Values

  - ### insertion_before_deletion

    static final int insertion_before_deletion
    See Also:
      - Constant Field Values

  - ### replacement

    static final int replacement
    See Also:
      - Constant Field Values

  - ### alignment_start

    static final int alignment_start
    See Also:
      - Constant Field Values

  - ### alignment_stop

    static final int alignment_stop
    See Also:
      - Constant Field Values

  - ### alignment_minus_strand

    static final int alignment_minus_strand
    See Also:
      - Constant Field Values

  - ### normal_indel

    static final int normal_indel
    EventIndelType
    See Also:
      - Constant Field Values

  - ### intron_plus

    static final int intron_plus
    See Also:
      - Constant Field Values

  - ### intron_minus

    static final int intron_minus
    See Also:
      - Constant Field Values

  - ### intron_unknown

    static final int intron_unknown
    See Also:
      - Constant Field Values

  - ### read_overlap

    static final int read_overlap
    See Also:
      - Constant Field Values

  - ### read_gap

    static final int read_gap
    See Also:
      - Constant Field Values

- ## Method Details

  - ### getMappingQuality

    int getMappingQuality() throws ErrorMsg
    getMappingQuality
    Returns:
      the mapping quality
    Throws:
      `ErrorMsg` - upon an error accessing data

  - ### getAlignmentId

    String getAlignmentId() throws ErrorMsg
    getAlignmentId
    Returns:
      unique AlignmentId within ReadCollection
    Throws:
      `ErrorMsg` - upon an error accessing data

  - ### getAlignmentPosition

    long getAlignmentPosition() throws ErrorMsg
    getAlignmentPosition
    Returns:
      Position of the alignment in Reference coordinates
    Throws:
      `ErrorMsg` - upon an error accessing data

  - ### getFirstAlignmentPosition

    long getFirstAlignmentPosition() throws ErrorMsg
    getFirstAlignmentPosition
    Returns:
      the position of this Alignment's first event in Reference coordinates
    Throws:
      `ErrorMsg` - upon an error accessing data

  - ### getLastAlignmentPosition

    long getLastAlignmentPosition() throws ErrorMsg
    getLastAlignmentPosition
    Returns:
      the position of this Alignment's last event in INCLUSIVE Reference coordinates
    Throws:
      `ErrorMsg` - upon an error accessing data

  - ### getEventType

    int getEventType() throws ErrorMsg
    getEventType
    Returns:
      the type of event being represented
    Throws:
      `ErrorMsg` - upon an error accessing data

  - ### getAlignmentBase

    char getAlignmentBase() throws ErrorMsg
    getAlignmentBase
    Returns:
      retrieves base aligned at current Reference position
    Throws:
      `ErrorMsg` - if event is an insertion or deletion

  - ### getAlignmentQuality

    char getAlignmentQuality() throws ErrorMsg
    getAlignmentQuality
    Returns:
      retrieves base aligned at current Reference position
    Throws:
      `ErrorMsg` - if event is an insertion or deletion

  - ### getInsertionBases

    String getInsertionBases() throws ErrorMsg
    getInsertionBases
    Returns:
      bases corresponding to insertion event
    Throws:
      `ErrorMsg` - upon an error accessing data

  - ### getInsertionQualities

    String getInsertionQualities() throws ErrorMsg
    getInsertionQualities
    Returns:
      qualities corresponding to insertion event
    Throws:
      `ErrorMsg` - upon an error accessing data

  - ### getEventRepeatCount

    int getEventRepeatCount() throws ErrorMsg
    getEventRepeatCount
    Returns:
      the number of times this event repeats, i.e. the distance to the first reference position yielding a different event type for this alignment
    Throws:
      `ErrorMsg` - upon an error accessing data

  - ### getEventIndelType

    int getEventIndelType() throws ErrorMsg
    getEventIndelType
    Returns:
      detail about the type of indel when event type is an insertion or deletion
    Throws:
      `ErrorMsg` - upon an error accessing data